%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define pname 		monochannel

Name: vdr-%pname
Version: 0.0.1
Release: alt3

Summary: Mono sound support for VDR
Summary(ru_RU.UTF-8): Поддержка моно звука для VDR
License: GPL
Group: Video
URL: http://www.allrussian.info/misc2.php?action=download&attachmentid=7325
Source0: %pname-%version.tar.gz
Patch0: russian-%pname-%version.diff
Patch1: monochannel-0.0.1-viasat-rus.diff
Patch2: monochannel-0.0.1-worldnet-voa-rferl_rus.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel
Requires: vdr = %vdrbuild

%description
Some providers use "Zweikanalton" on their channels, e.g. Norwegian in the left channel 
and Danish in the right. This is an unfinished plugin, so channels are hard-coded.
If anyone can use this plugin for anything, you are free to do so.

The channels are:
Viasat History, Sirius 5.0E
Viasat Explorer, Sirius 5.0E
TV 1000 East, Sirius 5.0E
VOA Russian, 13.0E
RFERL Russian, 13.0E
Fox Kids, Thor 1.0W
Cartoon Network, 1.0W
Eurosport, 1.0W

%description -l ru_RU.UTF-8
Некоторые вещатели используют "Двухканальный звук", например в левом канале слышен
русский перевод, а в правом - английский или датский. Этот модуль позволяет слушать
только нужную звуковую дорожку в обоих каналах. Модуль незакончен, поэтому настройки каналов
указываются в тексте программы и не могут быть изменены без пересборки.

Поддерживаемые каналы:
Viasat History, Sirius 5.0E
Viasat Explorer, Sirius 5.0E
TV 1000 East, Sirius 5.0E
Голос Америки, 13.0E
Радио Свобода, 13.0E
Fox Kids, Thor 1.0W
Cartoon Network, 1.0W
Eurosport, 1.0W

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir

%files
%plugindir/*
%doc PLUGINS/src/%pname/readme

%changelog
* Fri Nov 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.1-alt3
- vdr-1.3.15

* Sat Oct 23 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.1-alt2
- Russian RFERL from 13E support

* Sun Oct 10 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.1-alt1
- Initial build
